Open Infrastructure - Task #7172

Setup new VM/service: search.ungleich.ch
09/24/2019 03:36 PM - Nico Schottelius

Status: Closed Start date: 09/24/2019
Priority: Normal Due date: 10/04/2019
Assignee: Ahmed Bilal % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e use yaci.net

¢ Do full setup using cdist
¢ Use IPv6 only alpine VM
e Setup https server

Yaci installation

¢ either build a package for alpine (preferred)
e or use cdist to download archive, extract
o plus openrc or monit for starting it
e Should run as user app
e Proxy / letsencrypt via nginx as usual

Laptop installation

What | did on my notebook for http://nico.ungleich.cloud:8090/:

¢ download the archive, extract
e cd yaci && startYACY.sh

History

#1 - 09/24/2019 06:53 PM - Ahmed Bilal

yacy?

#2 - 09/24/2019 06:57 PM - Nico Schottelius

genau!
(yes)

redmine@ungleich.ch writes:

#3 - 09/28/2019 07:51 PM - Ahmed Bilal

- Status changed from New to Seen
#4 - 09/30/2019 01:55 PM - Ahmed Bilal
| tried creating alpine package but it is little difficult because the YaCy is written in Java which is a little mess. For the time being | would create a cdist

type and will later make alpine package.

#5 - 10/01/2019 11:25 AM - Ahmed Bilal

- Status changed from Seen to Waiting

It is little hairy. | will try to work on this in few days.

#6 - 10/01/2019 04:20 PM - Ahmed Bilal

- Status changed from Waiting to Seen
#7 - 10/26/2019 01:45 PM - Ahmed Bilal

https://wiki.yacy.net/index.php/En:Debian_High_Availability (Setup nginx + Create init.rc script)

#8 - 10/30/2019 05:53 AM - Ahmed Bilal
- File yacy.png added

For what purpose, do we need yacy at search.ungleich.ch? (https:/redmine.ungleich.ch/issues/7172).

username: admin
password: goanaiG5caijeiliiko9fi5Uyohreith

It offers three use cases.

e Community based web search
e Search portal for your own webpages
¢ Intranet Indexing

#9 - 10/30/2019 05:53 AM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Nico Schottelius

#10 - 10/30/2019 12:02 PM - Nico Schottelius

ping for sanghee

#11 - 10/30/2019 12:08 PM - Nico Schottelius

The idea is to have all our sites indexed by search.ungleich.ch and that
if someone wants to search on any of our pages, we will use the search
form of our yaci to provide the results.

redmine@ungleich.ch writes:

#12 - 10/31/2019 11:52 AM - Ahmed Bilal

- Assignee changed from Nico Schottelius to Ahmed Bilal

#13 - 12/03/2019 04:16 PM - Dominique Roux

- Status changed from Seen to Resolved

Verified and finished search.ungleich.ch so it's production ready.
cdist types are created, manifest is updated.

#14 - 12/04/2019 10:05 AM - Ahmed Bilal

- Status changed from Resolved to Closed
